For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
        • PUTUpdate Shipment Address
        • GETGet Shipment Line Items
        • POSTUpdate Shipment Line Items
        • PUTBulk Update Shipping Service
        • POSTCancel Order
        • POSTCancel Shipment
        • GETGet Shipping Methods
        • GETGet Shipment Status Timeline by Order ID and Shipment ID
        • GETGet All Shipments for Order
        • GETGet Shipment Logs by Order ID and Shipment ID
        • POSTCancel Shipment by Order ID and Shipment ID
        • GETGet Shipment Logs
        • GETGet Shipment by Order ID and Shipment ID
        • POSTEstimate Fulfillment Cost For Order
        • GETGet Order Store Data
    • OpenAPI spec
LogoLogo
API ReferenceOrdersAdditional

Update Shipment Address

||View as Markdown|
PUT
/2026-01/shipment/:shipmentId:updateAddress
PUT
/2026-01/shipment/:shipmentId:updateAddress
$curl -X PUT https://api.shipbob.com/2026-01/shipment/1:updateAddress \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "city": "Chicago",
> "street_address1": "100 Belmont Ave",
> "company_name": "Acme Corp",
> "country_code": "US",
> "email": "john@example.com",
> "phone_number": "555-867-5309",
> "recipient_name": "John Doe",
> "state": "IL",
> "street_address2": "",
> "zip_code": "60657"
>}'
1{
2 "error": {
3 "code": "INVALID_PARAMETER",
4 "message": "string"
5 },
6 "id": 123456,
7 "is_success": true
8}
Updates the shipping address for a specific shipment.
Was this page helpful?
Previous

Mark Tracking Uploaded

Next

Get Shipment Line Items

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

shipmentIdintegerRequired
Unique identifier of the shipment

Request

This endpoint expects an object.
citystringRequired>=1 character
City of customer address
street_address1stringRequired>=1 character
Street Address 1
company_namestring or nullOptional

Company name (optional)

country_codestring or nullOptional
Country code of customer address
emailstring or nullOptional
Customer's email address
phone_numberstring or nullOptional
Phone number of Recipient address
recipient_namestring or nullOptional
Name of customer
statestring or nullOptional
State of customer address
street_address2string or nullOptional
Street Address 2
zip_codestring or nullOptional
Zipcode of customer address

Response

OK
errorobject
Error details if the update was not successful
idlong
Unique identifier of the shipment
is_successboolean
Indicates whether the update was successful

Errors

400
Bad Request Error